"""init

Revision ID: 75b02e554a7e
Revises: 9eedf6a52a35
Create Date: 2021-03-30 14:54:47.327174

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '75b02e554a7e'
down_revision = '9eedf6a52a35'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('pd_webhook_db',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('trigger_event_or_recover_event', sa.String(length=255), nullable=True),
    sa.Column('incident_title', sa.String(length=255), nullable=True),
    sa.Column('service_id', sa.String(length=255), nullable=True),
    sa.Column('incident_id', sa.String(length=255), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.drop_table('pd_webhook')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('pd_webhook',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False),
    sa.Column('trigger_event_or_recover_event', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=255), nullable=True),
    sa.Column('incident_title', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=255), nullable=True),
    sa.Column('service_id', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=255), nullable=True),
    sa.Column('incident_id', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=255), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    mysql_collate='utf8mb4_unicode_ci',
    mysql_default_charset='utf8mb4',
    mysql_engine='InnoDB'
    )
    op.drop_table('pd_webhook_db')
    # ### end Alembic commands ###
